System.ServiceModel 4.0.0.0 System.Attribute System.ServiceModel.Description.IOperationBehavior System.AttributeUsage(System.AttributeTargets.Method)

The is an attribute used declaratively to associate a specific transaction flow policy with a service operation. The property of this attribute specifies whether the respective operation accepts a transaction flowed from the client, or if the operation requires the client to always flow a transaction. The can also be used as an operation behavior to programmatically associate a transaction flow policy with a specific operation. In this case, it should be added to the Behaviors collection on the operation’s description.

The OperationContract for each method that uses the must provide a fully-qualified Action string. A value of "*" is not supported.

Specifies whether a service operation accepts incoming transactions from a client.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  A .
- Method
  4.0.0.0
  System.Void `` ``

  This method provides a binding context with the extra parameters (settings) to support the required behavior for this operation. It is called internally by the infrastructure when a service is created.

  Adds extra parameters (settings) to the binding context to support this operation’s behavior. This method cannot be inherited.

  The operation description for which the attribute adds extra functionality. The collection of parameter objects on the binding context.
- Method
  4.0.0.0
  System.Void `` ``

  This method allows you to view, modify, or add custom extensions to the client runtime across all messages, or for a specific operation. Note that in the case of the , the implementation of this method is empty. This method is called internally by the infrastructure when a service proxy is created.

  Attaches the attribute functionality to the ProxyOperation object for the method that the attribute marks. This method cannot be inherited.

  The operation to which the attribute attaches functionality. The object that represents the current operation.
- Method
  4.0.0.0
  System.Void `` ``

  This method allows you to view, modify, or add custom extensions to the client runtime across all messages, or for a specific operation. Note that in the case of the , the implementation of this method is empty. This method is called internally by the infrastructure when a service is created.

  Attaches the attribute functionality to the object for the method that the attribute marks. This method cannot be inherited.

  The description for this operation. The object for this operation.
- Method
  4.0.0.0
  System.Void ``

  This method verifies whether the operation description is sufficient to support the transaction flow behavior. Note that in the case of the , the implementation of this method is empty. This method is called internally by the infrastructure when a service is created.

  Verifies that the operation can support this behavior. This method cannot be inherited.

  The operation to validate.
- Property
  4.0.0.0
  System.ServiceModel.TransactionFlowOption To be added. To be added.

  Gets a value that indicates whether the incoming transaction is supported.